﻿/*
Navicat MySQL Data Transfer

*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for v1_flow
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow`;
CREATE TABLE `v1_flow` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT '',
  `form_id` int(11) DEFAULT NULL,
  `process_id` int(11) DEFAULT NULL,
  `limit_times` int(11) DEFAULT '-1' COMMENT '流程能发起的次数显示，-1=不限制',
  `is_lock` tinyint(4) DEFAULT NULL COMMENT '是否锁定',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow
-- ----------------------------
INSERT INTO `v1_flow` VALUES ('1', '学生请假流程', '1', '1', '-1', '0');
INSERT INTO `v1_flow` VALUES ('2', '学生离校流程', '2', '2', '1', '0');
INSERT INTO `v1_flow` VALUES ('3', '社团申请流程', '3', '3', '-1', '1');

-- ----------------------------
-- Table structure for v1_flow_activity
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow_activity`;
CREATE TABLE `v1_flow_activity` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sponsor` int(11) DEFAULT NULL COMMENT '活动实例发起人',
  `title` varchar(255) DEFAULT '' COMMENT '活动实例标题',
  `status` varchar(255) DEFAULT '' COMMENT '活动实例状态，0=仅保存，1=运行中，2=中止，9=结束',
  `join_time` bigint(15) DEFAULT NULL COMMENT '加入时间戳',
  `flow_id` int(11) NOT NULL,
  `cur_process_id` int(11) NOT NULL,
  `cur_form_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow_activity
-- ----------------------------
INSERT INTO `v1_flow_activity` VALUES ('1', '1', '2018010001张三请假申请', '1', '1564588800000', '1', '1', '1');

-- ----------------------------
-- Table structure for v1_flow_activity_process
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow_activity_process`;
CREATE TABLE `v1_flow_activity_process` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `activity_id` int(11) NOT NULL COMMENT '活动实例Id',
  `run_node_id` int(11) NOT NULL COMMENT '当前运行到的节点Id',
  `arrive_time` bigint(15) NOT NULL COMMENT '到达时间戳',
  `accep_status` tinyint(4) DEFAULT '0' COMMENT '接收状态，0=未接收，1=已接收',
  `accept_time` bigint(15) DEFAULT NULL COMMENT '接收时间戳',
  `done_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '处理状态，0=未处理，1=已处理',
  `done_time` bigint(15) DEFAULT NULL COMMENT '处理时间戳',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow_activity_process
-- ----------------------------
INSERT INTO `v1_flow_activity_process` VALUES ('1', '1', '1', '1570507509000', '1', '1570507509000', '1', '1570507509000');
INSERT INTO `v1_flow_activity_process` VALUES ('2', '1', '2', '0', '0', null, '0', null);

-- ----------------------------
-- Table structure for v1_flow_data1
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow_data1`;
CREATE TABLE `v1_flow_data1` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_name` varchar(50) DEFAULT '',
  `major_name` varchar(50) DEFAULT '',
  `classes_name` varchar(50) DEFAULT '',
  `user_id` int(11) DEFAULT NULL,
  `student_no` varchar(50) DEFAULT '',
  `user_name` varchar(50) DEFAULT '',
  `sq_timeBegin` bigint(15) DEFAULT NULL,
  `sq_timeEnd` bigint(15) DEFAULT NULL,
  `sq_days` int(11) DEFAULT NULL,
  `sq_reason` varchar(200) DEFAULT '',
  `banzhuren` varchar(100) DEFAULT '',
  `banzhuren_shenpi` varchar(255) DEFAULT NULL,
  `banzhuren_shenpi_text` varchar(255) DEFAULT NULL,
  `xsk2` varchar(255) DEFAULT NULL,
  `xsk2_shenpi` varchar(255) DEFAULT NULL,
  `xsk2_shenpi_text` varchar(255) DEFAULT NULL,
  `lingdao2` varchar(255) DEFAULT NULL,
  `lingdao2_shenpi` varchar(255) DEFAULT NULL,
  `lingdao2_text` varchar(255) DEFAULT NULL,
  `xsk` varchar(255) DEFAULT NULL,
  `xsk_shenpi` varchar(255) DEFAULT NULL,
  `xsk_shenpi_text` varchar(255) DEFAULT NULL,
  `xjr` varchar(255) DEFAULT NULL,
  `xj_days` varchar(255) DEFAULT NULL,
  `xj_time` datetime DEFAULT NULL,
  `xjshr` varchar(255) DEFAULT NULL,
  `xjshr_shenhe` varchar(255) DEFAULT NULL,
  `xjshr_shenhe_text` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow_data1
-- ----------------------------
INSERT INTO `v1_flow_data1` VALUES ('1', '机电与信息工程学院', '计算机软件技术', '2017级2班', '11', '2017010010', '张三', null, null, '10', '', '', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null);

-- ----------------------------
-- Table structure for v1_flow_form
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow_form`;
CREATE TABLE `v1_flow_form` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `data_table` varchar(255) DEFAULT NULL COMMENT '数据表名称',
  `title_scheme` varchar(255) DEFAULT NULL COMMENT '实例流程标题构成原则',
  `layout` varchar(1000) DEFAULT NULL COMMENT '布局代码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow_form
-- ----------------------------
INSERT INTO `v1_flow_form` VALUES ('1', '办理离校手续表单', 'v1_flow_data1', '{$user_no}{$user_name}离校手续申请', null);

-- ----------------------------
-- Table structure for v1_flow_form_element
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow_form_element`;
CREATE TABLE `v1_flow_form_element` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL COMMENT '内置表单元素类型，常见text，radioGroup，checkboxGroup,select,files',
  `label` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL COMMENT '表单元素名称',
  `data_source` varchar(500) DEFAULT NULL COMMENT '数据源',
  `data_type` varchar(50) NOT NULL COMMENT '数据类型，int,bigint,varchar',
  `data_length` int(11) DEFAULT NULL COMMENT '数据长度 ',
  `default_value` varchar(255) DEFAULT NULL COMMENT '默认值',
  `placeholder` varchar(255) DEFAULT NULL,
  `styles` varchar(255) DEFAULT NULL COMMENT '样式',
  `attributes` varchar(255) DEFAULT NULL COMMENT '属性',
  `is_hidden` tinyint(4) NOT NULL COMMENT '是否隐藏',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow_form_element
-- ----------------------------
INSERT INTO `v1_flow_form_element` VALUES ('1', '1', 'int', '请假人UID', 'user_id', '', 'int', '11', '#{sys.uid}', null, null, '', '1');
INSERT INTO `v1_flow_form_element` VALUES ('2', '1', 'text', '请假人学号', 'student_no', null, 'varchar', '20', '#{sys.student.studentNo}', null, null, '', '1');
INSERT INTO `v1_flow_form_element` VALUES ('3', '1', 'text', '请假人所在二级学院', 'dept_name', null, 'varchar', '50', '#{sys.student.deptName}', null, null, null, '1');
INSERT INTO `v1_flow_form_element` VALUES ('4', '1', 'text', '请假人专业', 'major_name', null, 'varchar', '50', '#{sys.student.majorName}', null, null, null, '1');
INSERT INTO `v1_flow_form_element` VALUES ('5', '1', 'text', '请假人行政班级', 'classes_name', null, 'varchar', '50', '#{sys.student.classesName}', null, null, null, '1');
INSERT INTO `v1_flow_form_element` VALUES ('6', '1', 'text', '请假人姓名', 'student_name', null, 'varchar', '50', '#{sys.uName}', null, null, null, '1');
INSERT INTO `v1_flow_form_element` VALUES ('7', '1', 'text', '请假天数', 'sq_days', null, 'int', '11', null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('8', '1', 'text', '请假事由', 'sq_reason', null, 'varchar', '200', null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('9', '1', 'text', '班主任姓名', 'banzhuren', null, 'varchar', '50', null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('10', '1', 'select', '班主任审批结果', 'banzhuren_shenpi', '{\n            \"value\": \"同意\"\n          },\n          {\n            \"value\": \"不同意\"\n          }', 'varchar', '10', null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('11', '1', 'text', '班主任审批意见', 'banzhuren_shenpi_text', null, 'varchar', '100', null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('12', '1', 'text', '二级学院学生科审批人', 'xsk2', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('13', '1', 'select', '二级学院学生科结果', 'xsk2_shenpi', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('14', '1', 'text', '二级学院学生科意见', 'xsk2_shenpi_text', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('15', '1', 'text', '二级学院领导姓名', 'lingdao2', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('16', '1', 'select', '二级学院领导审批结果', 'lingdao2_shenpi', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('17', '1', 'text', '二级学院领导审批意见', 'lingdao2_text', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('18', '1', 'text', '学校学生科审批人', 'xsk', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('19', '1', 'select', '学校学生科审批结果', 'xsk_shenpi', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('20', '1', 'text', '学校学生科审批意见', 'xsk_shenpi_text', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('21', '1', 'text', '销假人', 'xjr', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('22', '1', 'text', '销假天数', 'xj_days', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('23', '1', 'datetime', '销假时间', 'xj_time', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('24', '1', 'text', '销假审核人', 'xjshr', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('25', '1', 'select', '销假审核结果', 'xjshr_shenhe', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('26', '1', 'text', '销假审核意见', 'xjshr_shenhe_text', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('27', '1', 'datetime', '申请开始时间', 'sq_timeBegin', null, '', null, null, null, null, null, '0');
INSERT INTO `v1_flow_form_element` VALUES ('28', '1', 'datetime', '申请结束时间', 'sq_timeEnd', null, '', null, null, null, null, null, '0');

-- ----------------------------
-- Table structure for v1_flow_node
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow_node`;
CREATE TABLE `v1_flow_node` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `process_id` int(11) DEFAULT NULL,
  `node_name` varchar(50) DEFAULT '' COMMENT '节点名称',
  `node_type` varchar(255) DEFAULT NULL COMMENT '节点类型，0=开始节点，1=操作节点，2=子流程节点，9=结束节点',
  `write_forms` varchar(200) DEFAULT NULL COMMENT '可以填写的表单列表',
  `operator` int(11) DEFAULT NULL COMMENT '审批人',
  `operator_type` tinyint(4) DEFAULT NULL COMMENT '审批人选择范围，1=发起者，2=发起者的班主任，3=发起者的学生科科长，4=发起者所在二级学院的领导，5=学校学生科科长',
  `allow_back` tinyint(4) DEFAULT NULL COMMENT '是否允许回退',
  `back_step` tinyint(4) DEFAULT '1' COMMENT '回退步数，默认=1',
  `styles` varchar(500) DEFAULT NULL COMMENT '样式，针对流程图设计而设置',
  `actions` varchar(200) DEFAULT NULL COMMENT '节点审批(有可能同意或不同意）后要做的操作(对应程序中的某个方法）-钩子',
  `condition_prev` tinyint(4) DEFAULT '2',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow_node
-- ----------------------------
INSERT INTO `v1_flow_node` VALUES ('1', '1', '申请人填写假条', '0', null, null, null, '0', '0', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('2', '1', '班主任审批', '1', null, null, null, '1', '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('3', '1', '二级学院学生科审批', '1', null, null, null, '1', '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('4', '1', '二级学院领导审批', '1', null, null, null, '1', '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('5', '1', '学校学生科审批', '1', null, null, null, '0', '0', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('6', '1', '销假', '1', null, null, null, '1', '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('7', '1', '销假审核', '9', null, null, null, '1', '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('8', '2', '学生处审批节点', '1', null, null, null, null, '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('9', '2', '党委组织部审批节点', '1', null, null, null, null, '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('10', '2', '二级学院审批节点', '1', null, null, null, null, '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('11', '2', '教务处审批节点', '1', null, null, null, null, '1', null, null, '2');
INSERT INTO `v1_flow_node` VALUES ('12', '2', '结束流程节点', '9', null, null, null, null, '1', null, null, '2');

-- ----------------------------
-- Table structure for v1_flow_process
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow_process`;
CREATE TABLE `v1_flow_process` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow_process
-- ----------------------------
INSERT INTO `v1_flow_process` VALUES ('1', '学生请假办理流程');

-- ----------------------------
-- Table structure for v1_flow_process_procedure
-- ----------------------------
DROP TABLE IF EXISTS `v1_flow_process_procedure`;
CREATE TABLE `v1_flow_process_procedure` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cur_node_id` int(11) DEFAULT NULL COMMENT '当前节点',
  `next_node_id` int(11) DEFAULT NULL COMMENT '下一节点',
  `limit_hour` int(255) DEFAULT '-1' COMMENT '限定多少小时内必须处理，-1=不限制',
  `condition_next_data` varchar(1000) DEFAULT '' COMMENT '进去下一节点的数据条件，空=不限制，如#{days}>=3表示大于三天方可进入下一节点',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_flow_process_procedure
-- ----------------------------
INSERT INTO `v1_flow_process_procedure` VALUES ('1', '1', '2', '24', '');
INSERT INTO `v1_flow_process_procedure` VALUES ('2', '2', '3', '24', '');
INSERT INTO `v1_flow_process_procedure` VALUES ('3', '2', '5', '24', '');
INSERT INTO `v1_flow_process_procedure` VALUES ('4', '3', '4', '24', '');
INSERT INTO `v1_flow_process_procedure` VALUES ('5', '3', '5', '24', '');
INSERT INTO `v1_flow_process_procedure` VALUES ('6', '4', '5', '24', '');
INSERT INTO `v1_flow_process_procedure` VALUES ('7', '5', '6', '-1', '');
INSERT INTO `v1_flow_process_procedure` VALUES ('8', '6', '7', '24', '');
INSERT INTO `v1_flow_process_procedure` VALUES ('9', '7', '0', '24', '');

-- ----------------------------
-- Table structure for v1_user
-- ----------------------------
DROP TABLE IF EXISTS `v1_user`;
CREATE TABLE `v1_user` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(255) DEFAULT NULL,
  `user_pwd` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of v1_user
-- ----------------------------
INSERT INTO `v1_user` VALUES ('1', 'admin', 'admin');
